function getcookie(name) {
    var start = document.cookie.indexOf(name+"=");
    var len = start+name.length+1;
    if ((!start) && (name != document.cookie.substring(0,name.length))) return null;
    if (start == -1) return '';
    var end = document.cookie.indexOf(";",len);
    if (end == -1) end = document.cookie.length;
    return unescape(document.cookie.substring(len,end));
}; // getcookie
function escojecookie() {
  // Obtiene las cookies.
  var infoedicion1 = getcookie('infoedicion1');
  var infoedicion2 = getcookie('infoedicion2');
  var infoedicion3 = getcookie('infoedicion3');
  var arregloedicion1 = infoedicion1.split('.');
  var arregloedicion2 = infoedicion2.split('.');
  var arregloedicion3 = infoedicion3.split('.');
  // Determina la cookie que coincide con el referer.
  if ( infoedicion1.indexOf(document.referrer) > 0 ) { return 'infoedicion1'; };
  if ( infoedicion2.indexOf(document.referrer) > 0 ) { return 'infoedicion2'; };
  if ( infoedicion3.indexOf(document.referrer) > 0 ) { return 'infoedicion3'; };
  // Determina cual es la cookie mas antigua.
  if ( infoedicion1 == '') { return 'infoedicion1'; };
  if ( infoedicion2 == '') { return 'infoedicion2'; };
  if ( infoedicion3 == '') { return 'infoedicion3'; };
  if ( (arregloedicion1[0] <= arregloedicion2[0]) && (arregloedicion1[0] <= arregloedicion3[0]) ) {
    return 'infoedicion1';
  };
  if ( (arregloedicion2[0] <= arregloedicion1[0]) && (arregloedicion2[0] <= arregloedicion3[0]) ) {
    return 'infoedicion2';
  };
  if ( (arregloedicion3[0] <= arregloedicion1[0]) && (arregloedicion3[0] <= arregloedicion2[0]) ) {
    return 'infoedicion3';
  };
  return 'infoedicion1';
}; // escojecookie

var cookiename= escojecookie();
var elurl = document.URL;
var ts = new Date();
var rex = /\d\d\d\d_\d\d_\d\d_\d/;
var i = elurl.search(rex);
var cookievalor;
if (i != -1) { // Es una portada.
  cookievalor = ts.getTime() + '.' + elurl.substr(i, 12) + '.' + escape(elurl);
  document.cookie = cookiename + "=" + cookievalor + "; path=" + "/";
}else{ // Es un articulo. Extrae la cookie correspondiente al referer.
  cookievalor = getcookie(cookiename);
  var arregloedicion = cookievalor.split('.');
  cookievalor = ts.getTime() + '.' + arregloedicion[1] + '.' + escape(elurl);
  document.cookie = cookiename + "=" + cookievalor + "; path=" + "/";
};
// var ua = navigator.userAgent;
// if (ua.indexOf('lucobrowser') > -1) {
//   alert(document.cookie);
// };


