<!--DOCUMENT CONTENT_TYPE="text/javascript"  -->

/**** CERTIFICA ****/

/* 
  Copyright 2004 - Certifica.com 
  $Id: certifica-js14.js,v 1.4 2004/10/27 20:12:21 leus Exp $
*/
function cert_getReferrer14()
{
   var referrer = document.referrer;
   try { 
      if ( self != top ) 
         referrer = top.document.referrer;
   } catch(e) {
      referrer = document.referrer;
   }
   return referrer;
}

/* 
  Copyright 2004 - Certifica.com 
  $Id: certifica.js,v 1.12 2004/10/27 20:12:21 leus Exp $
*/

DEFAULT_PIVOT_NAME = 'cert_Pivot';
DEFAULT_REDIRECT_TIME = 3000;
DEFAULT_PERIODIC_REDIRECT_TIME = 60000;

function cert_qVal(sValue) 
{
    var pos = String(document.location).indexOf('?');
    if (pos != -1) {
       var query = String(document.location).substring(pos+1);
       var vars = query.split("&");
       for (var i=0; i < vars.length; i++) {
          var pair = vars[i].split("=");
          if (pair[0] == sValue)
             return pair[1];
       }       
    }
    return null;  
}

function cert_getReferrer()
{
   var referrer = document.referrer;
   if (self.cert_getReferrer14)
      return cert_getReferrer14();
/*@cc_on
  @if(@_jscript_version >= 5 )
   try { 
      if ( self != top ) referrer = top.document.referrer;
   } catch(e) {};
  @end
  @*/
  return referrer;
}
 
function cert_getTagCertifica(iSiteId, sPath, sAppend) 
{
    var size, colors, referrer, url;
    size = colors = referrer = 'otro';
    var o = cert_qVal('url_origen');
    if (o != null && o != '')
       referrer = o;
    else 
       referrer = escape(cert_getReferrer());
    if ( window.screen.width ) size = window.screen.width;
    if ( window.screen.colorDepth ) colors = window.screen.colorDepth;
    else if ( window.screen.pixelDepth ) colors = window.screen.pixelDepth;
    url = 
       'http://hits.e.cl/cert/hit.dll?sitio_id=' + iSiteId + '&path=' + sPath +
       '&referer=' + referrer + '&size=' + size + '&colors=' + colors;
    url += '&java=' + navigator.javaEnabled();
    if (sAppend)
        url += sAppend;
    return url;    
}

/* Efectua un hit en certifica usando una imagen pivote. */
function cert_registerHit(iSiteId, sPath, sPivotName) 
{
   var sAppend = '&cert_cachebuster=' + (1 + Math.floor (Math.random() * 10000));
   if ( !sPivotName )
      sPivotName = DEFAULT_PIVOT_NAME;
   if ( document.images )
      if ( document.images[sPivotName] )
         document.images[sPivotName].src = cert_getTagCertifica(iSiteId, sPath, sAppend);
}

/* Efecta una redirecci n marcando la ruta de salida */
function cert_registerHitAndRedirect( sURL, iSiteId, sPath, sPivotName ) 
{
   cert_registerHit( iSiteId, sPath, sPivotName );
   setTimeout( "location.href = '" + sURL + "'", DEFAULT_REDIRECT_TIME );
}

/* Abre una nueva ventana, marcando el hit */
function cert_registerHitAndOpenWindow( sURL, iSiteId, sPath, sPivotName, sName, sFeatures, bReplace )
{
   cert_registerHit( iSiteId, sPath, sPivotName );
   if (!sName)
      sName = 'Downloads';
   if (!sFeatures)
      sFeatures = 'toolbar=no,location=no,directories=no,status=yes,menubar=no, scrollbars=no,resizable=no,width=425,height=510,screenX=20,screenY=20';
   window.open( sURL, 
      sName, 
      sFeatures, 
      bReplace 
   );
   return false;
}

/* Marca el hit y reemplaza/abre una URL en el frame 'sName' */
function cert_registerHitAndReplaceOtherFrame( sURL, sName, iSiteId, sPath, sPivotName ) 
{
   cert_registerHitAndOpenWindow( sURL, iSiteId, sPath, sPivotName, sName, 0, true );
}

/* Marca el hit y reemplaza/abre una URL en el frame 'sName' */
function cert_registerHitAndReplaceThisFrame( sURL, iSiteId, sPath, sPivotName ) 
{
   cert_registerHitAndRedirect( sURL, iSiteId, sPath, sPivotName );
}

/* Marca el hit y baja un archivo */
function cert_registerHitAndDownloadFile( sURL, iSiteId, sPath, sPivotName ) 
{
   cert_registerHitAndRedirect( sURL, iSiteId, sPath, sPivotName );
}

/* Marca un hit en la pgina actual */
function tagCertifica(iSiteId, sPath) 
{
    document.writeln( '<img src="' + cert_getTagCertifica(iSiteId, sPath) + '" width="1" height="1" border="0" alt="Certifica.com">' );
}

/* Marca un registro cada iTime milisegundos.  */
function cert_registerPeriodicHit( iSiteId, sPath, sPivotName, iTime ) 
{
   if ( !sPivotName )
      sPivotName = DEFAULT_PIVOT_NAME;
   if ( !iTime )
      iTime = DEFAULT_PERIODIC_REDIRECT_TIME;

   cert_registerHit( iSiteId, sPath, sPivotName );
   setTimeout( 'cert_registerPeriodicHit( ' + iSiteId + ', "' + sPath + '", "' + sPivotName + '", ' + iTime + ')', iTime );
}

/* SimpleStats 6 functions.
Usage:
<script language="javascript" src="/js-local/sst6.js"></script>
<script language="javascript">
<!--
sst6('sitio','path');
//-->
</script>
*/
function sst6(sitio,path) {
path = path.toLowerCase();
path = path.replace(//g, 'a');
path = path.replace(//g, 'e');
path = path.replace(//g, 'i');
path = path.replace(//g, 'o');
path = path.replace(//g, 'u');
path = path.replace(//g, 'n');
path = path.replace(//g, 'u');
path = path.replace(/[^0-9a-z;\/\_\-\.]/g, '');
path = path.replace(/;/g, '/');
sitio = sitio.replace(/[^0-9a-z\_\-\.]/g, '');
NS2 = 0;
if (navigator.appName == "Netscape" && navigator.appVersion.charAt(0) == "2") { NS2 = 1; };
if (NS2 == 0) {
sst6_url_source="/sst6.sst?s="+sitio+"&p="+path;
document.writeln("<img height=\"1\" width=\"1\" src=\"" + sst6_url_source + "\">");
};

tagCertifica(105989,path);

};

function sst6c(sitio,path,idcertifica) {
path = path.toLowerCase();
path = path.replace(//g, 'a');
path = path.replace(//g, 'e');
path = path.replace(//g, 'i');
path = path.replace(//g, 'o');
path = path.replace(//g, 'u');
path = path.replace(//g, 'n');
path = path.replace(//g, 'u');
path = path.replace(/[^0-9a-z;\/\_\-\.]/g, '');
path = path.replace(/;/g, '/');
sitio = sitio.replace(/[^0-9a-z\_\-\.]/g, '');
NS2 = 0;
if (navigator.appName == "Netscape" && navigator.appVersion.charAt(0) == "2") { NS2 = 1; };
if (NS2 == 0) {
sst6_url_source="/sst6.sst?s="+sitio+"&p="+path;
document.writeln("<img height=\"1\" width=\"1\" src=\"" + sst6_url_source + "\">");
};

tagCertifica(idcertifica,path);

};


